package com.nec.websocket;

import javax.websocket.ClientEndpoint;
import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
@ClientEndpoint
public class ChatClientEndpoint {

    @OnMessage
    public void receiveMessage(String message, Session session) {
        System.out.println(message);
    }

    @OnOpen
    public void connect () {
        System.out.println("connecting");
    }

    @OnClose
    public void close () {
        System.out.println("closed");
    }
}
