package com.nec.websocket;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URI;

import javax.websocket.ContainerProvider;
import javax.websocket.DeploymentException;
import javax.websocket.Session;
import javax.websocket.WebSocketContainer;

public class ChatClientEndpointMain {

    Session session = null;

    public void run() {
        WebSocketContainer container = ContainerProvider.getWebSocketContainer();
        String URL = "ws://localhost:80/WebSocketSample/chat";
        try {
            session = container.connectToServer(ChatClientEndpoint.class, URI.create(URL));
        } catch (DeploymentException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main (String[] args) {
        ChatClientEndpointMain main = new ChatClientEndpointMain();
        main.run();
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String input = "";
        try {
            do {
                input = br.readLine();
                if (!"exit".equals(input)) {
                    main.session.getBasicRemote().sendText(input);
                }
        } while (!"exit".equals(input));

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

